%undefine _package_note_flags
%global debug_package %{nil}

Summary:        OCaml library for common file and filename operations
Name:           ocaml-fileutils
Version:        0.5.2
Release:        3%{?dist}
License:        LGPLv2 with exceptions
URL:            https://forge.ocamlcore.org/projects/ocaml-fileutils/
Source0:        http://forge.ocamlcore.org/frs/download.php/1695/ocaml-fileutils-0.5.2.tar.gz
Patch3000:      fileutils-0.5.2-fix-bytes.patch
Patch3001:      ocaml-fileutils-0.5.2-ounit2.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.00.1 ocaml-findlib-devel >= 1.3.3-3
BuildRequires:  ocaml-ocamldoc ocaml-ocamlbuild


%description
This package provides a basic interface to the most common file and filename operations, 
providing several different filename functions: reduce, make_absolute, make_relative...  
It also enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one manipulates real 
files, the second one is made for manipulating abstract filenames.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
This package provides libraries and signature files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
ocaml setup.ml -configure --prefix %{_prefix} --destdir %{buildroot} --disable-tests
%make_build


%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

%make_install htmldir=. 


%check
make test


%files
%license COPYING.txt
%{_libdir}/ocaml/fileutils
%exclude %{_libdir}/ocaml/fileutils/*.a
%exclude %{_libdir}/ocaml/fileutils/*.cmx
%exclude %{_libdir}/ocaml/fileutils/*.cmxa
%exclude %{_libdir}/ocaml/fileutils/*.ml
%exclude %{_libdir}/ocaml/fileutils/*.mli


%files devel
%license COPYING.txt
%doc AUTHORS.txt CHANGELOG.txt README.txt TODO.txt
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/*.cmxa
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 Wang Guodong <gordonwwang@tencent.com> - 0.5.2-1
- initial build
